<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "accmast";
$file = "otherac.php";

$keyfld = "accode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `add1` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `station` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mobile` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "5") {
        $cond = "AND `email` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `add1` LIKE '%$searchTerm%'";
    }  elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `station` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "5") {
        $cond = "AND `email` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `name`";
    } elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `add1`";
    } elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `station`";
    } elseif ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `mobile`";
    } elseif ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `email`";
    }

 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

$query = "SELECT * FROM `accmast` WHERE `grpcode` > '002'  $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'name'    => $r['name'],
        'add1'    => $r['add1'],
        'station'    => $r['station'],
        'mobile'  => $r['mobile'],
        'email'   => $r['email'],
        'action'  => "$file?mode=edit&accode=$r[accode]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
